package com.philisense.www.pojos.entity;
import java.util.Date;

public class ProOperlog {

        public final static String ID_KEY="id";//操作日志记录id
        public final static String OPERNAME_KEY="opername";//操作名称
        public final static String OPERTYPE_KEY="opertype";//操作类型
        public final static String CLASS_METHOD_KEY="class_method";//操作类方法
        public final static String HTTP_METHOD_KEY="http_method";//方法类型
        public final static String HTTP_URL_KEY="http_url";//操作url
        public final static String HTTP_PARAMS_KEY="http_params";//操作参数
        public final static String HTTP_BODY_KEY="http_params";//操作body参数
        public final static String HTTP_HEADER_KEY="http_header";//操作header参数
        public final static String CONTENT_KEY="content";//操作内容
        public final static String COST_KEY="cost";//耗时
        public final static String CREATEIP_KEY="content";//ip地址
        public final static String CREATEUSER_KEY="content";//操作用户
        public final static String CREATEDATE_KEY="content";//日期
        public final static String MEMO_KEY="content";//备注
        public final static String CLIENT_TYPE_KEY="content";//备注

        private String  id;
        private String  opername;
        private String  opertype;
        private String  classmethod;
        private String  httpmethod;
        private String  httpurl;
        private String  httpparams;
        private String  httpbody;
        private String  httpheader;
        private String  content;
        private int  cost;
        private String  createip;
        private String  createuser;
        private Date  createdate;
        private String  memo;
        private String  clienttype;

        public String  getId() {
        return id;
        }

        public void setId(String  id) {
        this.id = id;
        }
        public String  getOpername() {
        return opername;
        }

        public void setOpername(String  opername) {
        this.opername = opername;
        }
        public String  getOpertype() {
        return opertype;
        }

        public void setOpertype(String  opertype) {
        this.opertype = opertype;
        }
        public String  getClassmethod() {
        return classmethod;
        }

        public void setClassmethod(String  classmethod) {
        this.classmethod = classmethod;
        }
        public String  getHttpmethod() {
        return httpmethod;
        }

        public void setHttpmethod(String  httpmethod) {
        this.httpmethod = httpmethod;
        }
        public String  getHttpurl() {
        return httpurl;
        }

        public void setHttpurl(String  httpurl) {
        this.httpurl = httpurl;
        }
        public String  getHttpparams() {
        return httpparams;
        }

        public void setHttpparams(String  httpparams) {
        this.httpparams = httpparams;
        }
        public String  getHttpbody() {
        return httpbody;
        }

        public void setHttpbody(String  httpbody) {
        this.httpbody = httpbody;
        }
        public String  getHttpheader() {
        return httpheader;
        }

        public void setHttpheader(String  httpheader) {
        this.httpheader = httpheader;
        }
        public String  getContent() {
        return content;
        }

        public void setContent(String  content) {
        this.content = content;
        }
        public int  getCost() {
        return cost;
        }

        public void setCost(int  cost) {
        this.cost = cost;
        }
        public String  getCreateip() {
        return createip;
        }

        public void setCreateip(String  createip) {
        this.createip = createip;
        }
        public String  getCreateuser() {
        return createuser;
        }

        public void setCreateuser(String  createuser) {
        this.createuser = createuser;
        }
        public Date  getCreatedate() {
        return createdate;
        }

        public void setCreatedate(Date  createdate) {
        this.createdate = createdate;
        }
        public String  getMemo() {
        return memo;
        }

        public void setMemo(String  memo) {
        this.memo = memo;
        }
        public String  getClienttype() {
        return clienttype;
        }

        public void setClienttype(String  clienttype) {
        this.clienttype = clienttype;
        }



}